%define api		2
%define major		4
%define girmajor	2.0

%define libname 	%mklibname gladeui %{api} %{major}
%define libnamedev	%mklibname -d gladeui %{api}
%define girname		%mklibname gladeui-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary: 	GTK+ / GNOME 3 widget builder
Name: 		glade
Version: 	3.14.2
Release:	%mkrel 2
Epoch:		1
License: 	GPLv2+
Url: 		http://glade.gnome.org/
Group: 		Development/GNOME and GTK+
Source0: 	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.0
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.4
BuildRequires:	gobject-introspection-devel >= 0.10.1
BuildRequires:	desktop-file-utils
BuildRequires: 	gtk-doc
BuildRequires: 	scrollkeeper
BuildRequires: 	itstool
BuildRequires: 	intltool

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the Gtk+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools. In particular libglade can
load the XML files and create the interfaces at runtime.

Other tools are available which can turn the XML files into source code
in languages such as C++, Perl and Python.

%package -n %{libname}
Summary:	Libraries required for %{name}
Group:		System/Libraries
Provides:	libgladeui = %{epoch}:%{version}-%{release}

%description -n %{libname}
Libraries and file require to run program built with %{name}

%package -n %{libnamedev}
Summary:	Development libraries and include files for libgladeui (%{name})
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libgladeui%{major}-devel = %{epoch}:%{version}-%{release}

%description -n %{libnamedev}
Development libraries, headers files and documentation needed in order
to develop applications using libgladeui (%{name}).

%package -n %{girname}
Summary:        GObject Introspection interface description for libgladeui (%{name})
Group:          System/Libraries
Requires:       %{libname} = %{epoch}:%{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for libgladeui (%{name}).

%prep
%setup -q

%build
%configure2_5x \
	--enable-gtk-doc \
	--disable-scrollkeeper \
	--disable-static
%make

%install
%makeinstall_std

%find_lang %{name} --with-help

# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GUIDesigner" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README TODO
%{_bindir}/%{name}*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/modules/
%{_libdir}/%{name}/modules/libgladepython.so
%{_libdir}/%{name}/modules/libgladegtk.so
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/glade*

%files -n %{libname}
%{_libdir}/libgladeui-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gladeui-%{girmajor}.typelib

%files -n %{libnamedev}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/libgladeui-2.0/
%{_libdir}/pkgconfig/gladeui-2.0.pc
%{_libdir}/libgladeui-%{api}.so
%{_datadir}/gir-1.0/Gladeui-%{girmajor}.gir


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:3.14.2-2.mga3
+ Revision: 351690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 ovitters <ovitters> 1:3.14.2-1.mga3
+ Revision: 322139
- new version 3.14.2

* Mon Oct 15 2012 fwang <fwang> 1:3.14.1-1.mga3
+ Revision: 305975
- new version 3.14.1

* Wed Sep 19 2012 fwang <fwang> 1:3.14.0-1.mga3
+ Revision: 296251
- bump libmajor
- bump req on gtk
- br itstool

  + ovitters <ovitters>
    - new version 3.14.0

* Wed Jun 27 2012 ovitters <ovitters> 1:3.13.0-1.mga3
+ Revision: 264536
- new version 3.13.0

* Sun May 06 2012 ovitters <ovitters> 1:3.12.1-1.mga3
+ Revision: 234845
- new version 3.12.1

* Mon Mar 26 2012 ovitters <ovitters> 1:3.12.0-1.mga2
+ Revision: 226990
- new version 3.12.0

* Tue Feb 14 2012 fwang <fwang> 1:3.11.0-2.mga2
+ Revision: 208783
- pygtk2 is not neede anymore

* Tue Feb 14 2012 wally <wally> 1:3.11.0-1.mga2
+ Revision: 208736
- new version 3.11.0

* Wed Oct 12 2011 fwang <fwang> 1:3.10.2-1.mga2
+ Revision: 154013
- add br
- new version 3.10.2

  + wally <wally>
    - fix devel package provides

* Thu Jul 14 2011 wally <wally> 1:3.10.0-1.mga2
+ Revision: 124021
- new version 3.10.0 (parallel installable with previous versions
  which depends on GTK+2)
- rename to glade
- new major 0
- new api 2
- create a subpackage for gir .typelib

* Wed Apr 20 2011 pterjan <pterjan> 1:3.8.0-1.mga1
+ Revision: 89215
- Update to 3.8.0
- Sync with mdv

* Sun Jan 23 2011 pterjan <pterjan> 1:3.7.3-1.mga1
+ Revision: 35363
- Drop old stuff
- imported package glade3

